Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.persistence.sqlmapdao
Class OrderSqlMapDao

    java.lang.Object
      com.ibatis.dao.client.template.DaoTemplate
          com.ibatis.dao.client.template.SqlMapDaoTemplate
              com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
                  com.ibatis.jpetstore.persistence.sqlmapdao.OrderSqlMapDao

All Implemented Interfaces:
  com.ibatis.dao.client.Dao, OrderDao, com.ibatis.sqlmap.client.SqlMapExecutor

public class OrderSqlMapDao
extends BaseSqlMapDao
implements OrderDao

Field Summary

Fields inherited from class com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao
`PAGE_SIZE`

Fields inherited from class com.ibatis.dao.client.template.DaoTemplate
`daoManager`

Constructor Summary
`OrderSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)`

Method Summary
`Order` | `getOrder(int orderId)`
`com.ibatis.common.util.PaginatedList` | `getOrdersByUsername(String username)`
`void` | `insertOrder(Order order)`

Methods inherited from class com.ibatis.dao.client.template.SqlMapDaoTemplate
`delete, executeBatch, getSqlMapExecutor, getSqlMapTransactionManager, insert, queryForList, queryForList, queryForMap, queryForMap, queryForObject, queryForObject, queryForPaginatedList, queryWithRowHandler, startBatch, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderSqlMapDao

    public OrderSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)

Method Detail

### getOrdersByUsername

    public com.ibatis.common.util.PaginatedList getOrdersByUsername(String username)

  Specified by:
    `getOrdersByUsername` in interface `OrderDao`

### getOrder

    public Order getOrder(int orderId)

  Specified by:
    `getOrder` in interface `OrderDao`

### insertOrder

    public void insertOrder(Order order)

  Specified by:
    `insertOrder` in interface `OrderDao`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.